Subject: Re: Output of size.
From: [email-masked]
To: "Michael A. Chase" <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 May 2001 08:22:35 +0200

Back again after the weekend :-) Let me just explain what I want a little
better. I am looking for some documentation that will enable me to find the
right flags when linking my application to a sybase library. Yes, I have
submitted this to the Sybase support desk, but it is slow and buroucratic.
Since this list deals with Cygwin, and I am using Cygwin, I thought that a
pointer to some documentation could be produced by the people. And I still
belive that.

I am looking for a document that can explain what the size -A output is! I
have read the manpage and could not understand it. I whould like to
understand it better so I can tune my linker.

The non working dll has no .bss, idata and edata section. A 'size -A' on
/bin/libcygwin.dll lists the same as the 10.0 sybase library that works. It
has .bss, idata and edata sections. So I am stretching my luck and ask
again; can somebody point to a document that will explain why  one dll (any
dll) has more sections than others, and what these sections are?

Oddvard

                                                                                                         
                    "Michael A.                                                                          
                    Chase"               To:     <[email-masked]>, <[email-masked]>  
                    <[email-masked]        cc:                                                             
                    tcom.com>            Subject:     Re: Output of size.                                
                                                                                                         
                    18.05.2001                                                                           
                    16:10                                                                                

You should probably be asking this on a Sybase list.  I don't see what this
has to do with Cygwin.
--
Mac :})
Give a hobbit a fish and he'll eat fish for a day.
Give a hobbit a ring and he'll eat fish for an age.
----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Sent: Friday, May 18, 2001 05:52
Subject: Output of size.

> I have some trouble with a lirary.
>
>  size -A /opt/sybase11/dll.12/libsybdb.dll
> /opt/sybase11/dll.12/libsybdb.dll  :
> section     size        addr
> .text    192512   268439552
> .rdata    23552   268632064
> .data     44032   268656640
> .reloc     8704   268713984
> Total    268800
>
>
> SCS-R1FR4 58: size -A /opt/sybase11/dll/libsybdb.dll
> /opt/sybase11/dll/libsybdb.dll  :
> section     size        addr
> .text    289280   268439552
> .bss      10372   268730368
> .rdata      512   268742656
> .data     46592   268746752
> .idata     9728   268795904
> .edata    14336   268808192
> .reloc    10752   268824576
> Total    381572
>
> Running with the older SYBASE 10.0 (last one) I am able to speak with
> SYBASE. Using the
> newest version 12 library (first) the application fails. Can somebody
give
> me a pointer or two
> on where I can find info? I have read the man page (even read objdump
> manpage) but I could
> not understand it. Pointer to a document regarding the format of a object
> whould be nice.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple